import typer

from remotivelabs.cli.topology.all import app


@app.callback()
def service_callback(
    ctx: typer.Context,
    topology_cmd: str = typer.Option(
        None, envvar="REMOTIVE_TOPOLOGY_COMMAND", hidden=True, help="Optional path to RemotiveTopology command"
    ),
    topology_image: str = typer.Option(None, envvar="REMOTIVE_TOPOLOGY_IMAGE", help="Optional docker image for RemotiveTopology "),
) -> None:
    ctx.obj = ctx.obj or {}
    ctx.obj["topology_cmd"] = topology_cmd
    ctx.obj["topology_image"] = topology_image


__all__ = ["app"]
